function [xl,yl]=rectline(xj,yj,xk,yk,ne)
%
%Function RECTLINE evaluates:
%    the coordinates of the  end points of the
%    elements on straight line segment using its end coordinates
%
%  Record of revisions:
%      Date       Programmer         Description of change
%      ====       ==========         =====================
%   15/10/2009    J.T.Katsikadelis    Original code
%
    dx=xk-xj;
    dy=yk-yj;
    xl=zeros(ne,1);
    yl=zeros(ne,1);
     for j=1:ne
        xl(j)=xj+(j-1)*dx/ne;
        yl(j)=yj+(j-1)*dy/ne;
     end
    

